Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.core
Class QEventLoop.ProcessEventsFlag

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.core.QEventLoop.ProcessEventsFlag

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QEventLoop

    public static final class QEventLoop.ProcessEventsFlag

extends java.lang.Enum
implements QtEnumerator

This enum controls the types of events processed by the `processEvents()` functions.

See also:
  `processEvents()`.

See Also:
  Serialized Form

Field Summary
`static QEventLoop.ProcessEventsFlag` | `AllEvents` All events.
`static QEventLoop.ProcessEventsFlag` | `DeferredDeletion` deprecated - do not use.
`static QEventLoop.ProcessEventsFlag` | `ExcludeSocketNotifiers` Do not process socket notifier events.
`static QEventLoop.ProcessEventsFlag` | `ExcludeUserInputEvents` Do not process user input events, such as ButtonPress and KeyPress.
`static QEventLoop.ProcessEventsFlag` | `WaitForMoreEvents` Wait for events if no pending events are available.
`static QEventLoop.ProcessEventsFlag` | `X11ExcludeTimers`

Method Summary
`static QEventLoop.ProcessEventsFlags` | `createQFlags(QEventLoop.ProcessEventsFlag[] values)` This function creates a com.trolltech.qt.core.QEventLoop$ProcessEventsFlags with the specified `com.trolltech.qt.core.QEventLoop$ProcessEventsFlag[]` QEventLoop$ProcessEventsFlag values set.
`static QEventLoop.ProcessEventsFlag` | `resolve(int value)` Returns the QEventLoop$ProcessEventsFlag constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QEventLoop.ProcessEventsFlag` | `valueOf(java.lang.String name)`
`static QEventLoop.ProcessEventsFlag[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### AllEvents

    public static final QEventLoop.ProcessEventsFlag AllEvents

  All events. Note that `DeferredDelete` events are processed specially. See QObject::deleteLater() for more details.

### ExcludeUserInputEvents

    public static final QEventLoop.ProcessEventsFlag ExcludeUserInputEvents

  Do not process user input events, such as ButtonPress and KeyPress. Note that the events are not discarded; they will be delivered the next time `processEvents()` is called without the `ExcludeUserInputEvents` flag.

### ExcludeSocketNotifiers

    public static final QEventLoop.ProcessEventsFlag ExcludeSocketNotifiers

  Do not process socket notifier events. Note that the events are not discarded; they will be delivered the next time `processEvents()` is called without the `ExcludeSocketNotifiers` flag.

### WaitForMoreEvents

    public static final QEventLoop.ProcessEventsFlag WaitForMoreEvents

  Wait for events if no pending events are available.

### X11ExcludeTimers

    public static final QEventLoop.ProcessEventsFlag X11ExcludeTimers

### DeferredDeletion

    public static final QEventLoop.ProcessEventsFlag DeferredDeletion

  deprecated - do not use.

Method Detail

### values

    public static QEventLoop.ProcessEventsFlag[] values()

### valueOf

    public static QEventLoop.ProcessEventsFlag valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### createQFlags

    public static QEventLoop.ProcessEventsFlags createQFlags(QEventLoop.ProcessEventsFlag[] values)

  This function creates a com.trolltech.qt.core.QEventLoop$ProcessEventsFlags with the specified `com.trolltech.qt.core.QEventLoop$ProcessEventsFlag[]` QEventLoop$ProcessEventsFlag values set.

### resolve

    public static QEventLoop.ProcessEventsFlag resolve(int value)

  Returns the QEventLoop$ProcessEventsFlag constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD